Skip to main content
POST
Create a repository in an organization

Authorizations

Authorization
string
header
required

Personal access token. Use format: token {YOUR_ACCESS_TOKEN}

Path Parameters

org
string
required

Organization name

Body

application/json
name
string
required
description
string
private
boolean
default:false
auto_init
boolean
default:false
gitignores
string
license
string
readme
string
default:Default
object_format
enum<string>

The hash algorithm of the repository. Defaults to the default of Git on the server.

Available options:
sha1,
sha256

Response

Created

id
integer
owner
object
name
string
full_name
string
description
string
private
boolean
fork
boolean
parent
object

Present when fork is true

empty
boolean
mirror
boolean
size
integer
html_url
string
ssh_url
string
clone_url
string
website
string
stars_count
integer
forks_count
integer
watchers_count
integer
open_issues_count
integer
default_branch
string
created_at
string<date-time>
updated_at
string<date-time>
permissions
object